org.vishia.gral.base

## Class GralCurveView.GralCurveViewMouseAction

- java.lang.Object
- - org.vishia.gral.base.GralCurveView.GralCurveViewMouseAction

- All Implemented Interfaces:
    GralMouseWidgetAction_ifc
  Enclosing class:
    GralCurveView

      protected class GralCurveView.GralCurveViewMouseAction
      extends java.lang.Object
      implements GralMouseWidgetAction_ifc

- - ### Field Summary

    - ### Fields inherited from interface org.vishia.gral.base.GralMouseWidgetAction_ifc

      `mUser1down, mUser1up, mUser2down, mUser2up, mUser3down, mUser3up, mUserAll, mUserAlldown, mUserAllup, mUserDouble, version`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GralCurveViewMouseAction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mouse1Double(int keyCode, int xMousePixel, int yMousePixel, int xWidgetSizePixel, int yWidgetSizePixel, GralWidget widgg)`
    `void` | `mouse1Down(int key, int xMousePixel, int yMousePixel, int xWidgetSizePixel, int yWidgetSizePixel, GralWidget widgg)` Called from the graphic implementation layer if the standard left mouse button is pressed.
    `void` | `mouse1Up(int key, int xMousePixel, int yMousePixel, int xWidgetSizePixel, int yWidgetSizePixel, GralWidget widgg)`
    `void` | `mouse2Down(int key, int xMousePixel, int yMousePixel, int xWidgetSizePixel, int yWidgetSizePixel, GralWidget widgg)` Called from the graphic implementation layer if the standard right mouse button is pressed.
    `void` | `mouse2Up(int key, int xMousePixel, int yMousePixel, int xWidgetSizePixel, int yWidgetSizePixel, GralWidget widgg)`
    `boolean` | `mouseMoved(int xMousePixel, int yMousePixel, int xWidgetPixelSize, int yWidgetPixelSize)` This routine is called only if a mouse button is pressed while moving the mouse cursor.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GralCurveViewMouseAction

          protected GralCurveViewMouseAction()

  - ### Method Detail

    - #### mouse1Down

          public void mouse1Down(int key,
                                 int xMousePixel,
                                 int yMousePixel,
                                 int xWidgetSizePixel,
                                 int yWidgetSizePixel,
                                 GralWidget widgg)

      Description copied from interface: `GralMouseWidgetAction_ifc`
      Called from the graphic implementation layer if the standard left mouse button is pressed.
      Specified by:
        `mouse1Down` in interface `GralMouseWidgetAction_ifc`

    - #### mouse1Up

          public void mouse1Up(int key,
                               int xMousePixel,
                               int yMousePixel,
                               int xWidgetSizePixel,
                               int yWidgetSizePixel,
                               GralWidget widgg)

      Specified by:
        `mouse1Up` in interface `GralMouseWidgetAction_ifc`

    - #### mouse2Down

          public void mouse2Down(int key,
                                 int xMousePixel,
                                 int yMousePixel,
                                 int xWidgetSizePixel,
                                 int yWidgetSizePixel,
                                 GralWidget widgg)

      Description copied from interface: `GralMouseWidgetAction_ifc`
      Called from the graphic implementation layer if the standard right mouse button is pressed.
      Specified by:
        `mouse2Down` in interface `GralMouseWidgetAction_ifc`

    - #### mouse2Up

          public void mouse2Up(int key,
                               int xMousePixel,
                               int yMousePixel,
                               int xWidgetSizePixel,
                               int yWidgetSizePixel,
                               GralWidget widgg)

      Specified by:
        `mouse2Up` in interface `GralMouseWidgetAction_ifc`

    - #### mouse1Double

          public void mouse1Double(int keyCode,
                                   int xMousePixel,
                                   int yMousePixel,
                                   int xWidgetSizePixel,
                                   int yWidgetSizePixel,
                                   GralWidget widgg)

      Specified by:
        `mouse1Double` in interface `GralMouseWidgetAction_ifc`

    - #### mouseMoved

          public boolean mouseMoved(int xMousePixel,
                                    int yMousePixel,
                                    int xWidgetPixelSize,
                                    int yWidgetPixelSize)

      Description copied from interface: `GralMouseWidgetAction_ifc`
      This routine is called only if a mouse button is pressed while moving the mouse cursor.
      Specified by:
        `mouseMoved` in interface `GralMouseWidgetAction_ifc`
      Parameters:
        `xMousePixel` - The current mouse cursor x value
        `yMousePixel` - The current mouse cursor y value
        `xWidgetPixelSize` - Width of the associated widget.
        `yWidgetPixelSize` - Height of the associated widget.
      Returns:
        true if the mouse should be still accepted as pressed, false if the mouse button up action should be prevented. The mouse is not accepted as pressed any more.